summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-lua/luaossl/luaossl-20200709-r100.ebuild98
-rw-r--r--dev-lua/luaossl/metadata.xml4
-rw-r--r--profiles/package.mask1
3 files changed, 103 insertions, 0 deletions
diff --git a/dev-lua/luaossl/luaossl-20200709-r100.ebuild b/dev-lua/luaossl/luaossl-20200709-r100.ebuild
new file mode 100644
index 00000000000..414c31fe69c
--- /dev/null
+++ b/dev-lua/luaossl/luaossl-20200709-r100.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..3} luajit )
+MY_P="${PN}-rel-${PV}"
+
+inherit lua toolchain-funcs
+
+DESCRIPTION="Most comprehensive OpenSSL module in the Lua universe"
+HOMEPAGE="https://github.com/wahern/luaossl"
+SRC_URI="https://github.com/wahern/${PN}/archive/rel-${PV}.tar.gz -> ${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="examples"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+RDEPEND="
+ dev-libs/openssl:0[-bindist]
+ !dev-lua/luacrypto
+ !dev-lua/lua-openssl
+ !dev-lua/luasec
+ ${LUA_DEPS}
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+DOCS=( "doc/." )
+
+src_prepare() {
+ default
+
+ # Remove Lua autodetection
+ # Respect users CFLAGS
+ sed -e '/LUAPATH :=/d' -e '/LUAPATH_FN =/d' -e '/HAVE_API_FN =/d' -e '/WITH_API_FN/d' -e 's/-O2//g' -i GNUmakefile || die
+
+ lua_copy_sources
+}
+
+lua_src_compile() {
+ pushd "${BUILD_DIR}" || die
+
+ if [[ ${ELUA} != luajit ]]; then
+ LUA_VERSION="$(ver_cut 1-2 $(lua_get_version))"
+ else
+ # This is a workaround for luajit, as it confirms to lua5.1
+ # and the 'GNUmakefile' doesn't understand LuaJITs version.
+ LUA_VERSION="5.1"
+ fi
+
+ local myemakeargs=(
+ "CC=$(tc-getCC)"
+ "ALL_CPPFLAGS=${CPPFLAGS} $(lua_get_CFLAGS)"
+ "libdir="
+ )
+
+ emake "${myemakeargs[@]}" openssl${LUA_VERSION}
+
+ popd
+}
+
+src_compile() {
+ lua_foreach_impl lua_src_compile
+}
+
+lua_src_install() {
+ pushd "${BUILD_DIR}" || die
+
+ if [[ ${ELUA} != luajit ]]; then
+ LUA_VERSION="$(ver_cut 1-2 $(lua_get_version))"
+ else
+ # This is a workaround for luajit, as it confirms to lua5.1
+ # and the 'GNUmakefile' doesn't understand LuaJITs version.
+ LUA_VERSION="5.1"
+ fi
+
+ local myemakeargs=(
+ "DESTDIR=${D}"
+ "lua${LUA_VERSION/./}cpath=$(lua_get_cmod_dir)"
+ "lua${LUA_VERSION/./}path=$(lua_get_lmod_dir)"
+ "prefix=${EPREFIX}/usr"
+ )
+
+ emake "${myemakeargs[@]}" install${LUA_VERSION}
+
+ popd
+}
+
+src_install() {
+ lua_foreach_impl lua_src_install
+
+ use examples && dodoc -r "examples/."
+ einstalldocs
+}
diff --git a/dev-lua/luaossl/metadata.xml b/dev-lua/luaossl/metadata.xml
index 8056c7be989..be7afb66eb7 100644
--- a/dev-lua/luaossl/metadata.xml
+++ b/dev-lua/luaossl/metadata.xml
@@ -9,6 +9,10 @@
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
+ <maintainer type="person">
+ <email>conikost@gentoo.org</email>
+ <name>Conrad Kostecki</name>
+ </maintainer>
<upstream>
<remote-id type="github">wahern/luaossl</remote-id>
</upstream>
diff --git a/profiles/package.mask b/profiles/package.mask
index da039e52db8..cba2bad8489 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -556,6 +556,7 @@ dev-lua/luacrypto
>=dev-lua/luafilesystem-1.8.0-r100
>=dev-lua/lualdap-1.2.5-r100
>=dev-lua/luajson-1.3.4
+>=dev-lua/luaossl-20200709-r100
>=dev-lua/luarocks-3.4.0-r100
>=dev-lua/luasec-0.9-r100
>=dev-lua/luasocket-3.0_rc1_p20200328-r100